Create Allocation

View as Markdown
Create an Allocation for the org. Org must have an Infrastructure Provider entity. User must have authorization role with `PROVIDER_ADMIN` suffix. To successfully create a compute Allocation, there must be enough unallocated Machines associated with the Instance Type to satisfy the constraint value. For network Allocation, the source site-level IP Block must have an available prefix with length equal to the constraint value. When that IP Block is linked to an `OperatorManaged` SitePrefix, it must also be `Ready`. A conflict involving capacity, address space, or lifecycle state returns 409.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
namestringRequired2-256 characters
Concise and descriptive name for the Allocation
tenantIdstringRequiredformat: "uuid"
ID of the Tenant that should receive the Allocation
siteIdstringRequiredformat: "uuid"
ID of the Site where resources should be allocated
descriptionstring or nullOptional
Detailed description for the Allocation
allocationConstraintslist of objectsOptional
List of Allocation Constraint objects

Response

Created
idstringOptionalRead-onlyformat: "uuid"
ID of the Allocation
namestringOptional2-256 characters
Concise and descriptive name of the Allocation
descriptionstring or nullOptional
Detailed description of the Allocation
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider that created the Allocation
tenantIdstringOptionalformat: "uuid"
ID of the Tenant that received the Allocation
siteIdstringOptionalformat: "uuid"
ID of the Site where resources are allocated
statusenumOptional
Status of the Allocation
statusHistorylist of objectsOptionalRead-only
Chronological status history for the Allocation
allocationConstraintslist of objectsOptional
List of Allocation Constraints for the Allocation
createddatetimeOptionalRead-only

Date/time when the Allocation was created

updateddatetimeOptionalRead-only

Date/time when the Allocation was last updated

Errors

400
Bad Request Error
403
Forbidden Error
409
Conflict Error